# This script will build the OSX version of the unified FFmpeg.dylib

# To build OSX i386 x32:
# sh ./dobuild_osx i386

# To build OSX x86 64 bits:
# sh ./dobuild_osx x86_64

# To build OSX PowerPC:
# sh ./dobuild_osx ppc

rm FFmpeg.dylib
make distclean
../ffmpeg/configure --arch=$1 --extra-cflags="-arch $1" --extra-ldflags="-arch $1" --shlibdir="Contents/Plugins/FFmpeg" --enable-version3 --enable-shared --disable-static --enable-memalign-hack --disable-debug --disable-avdevice --disable-network --disable-everything \
--enable-small --disable-swscale-alpha --disable-asm --disable-dct --disable-fft --disable-lpc --disable-mdct --disable-rdft --disable-vaapi --disable-vdpau --disable-dxva2 --disable-zlib --disable-bzlib \
--enable-muxer=avi --enable-muxer=matroska --enable-demuxer=avi --enable-demuxer=matroska --enable-muxer=dv --enable-demuxer=dv \
--enable-encoder=ffv1 --enable-decoder=ffv1 --enable-encoder=huffyuv --enable-decoder=huffyuv \
--enable-encoder=dvvideo --enable-decoder=dvvideo \
--enable-encoder=mjpeg --enable-decoder=mjpeg \
--enable-encoder=pcm_s16le --enable-decoder=pcm_s16le \
--enable-encoder=pcm_s24le --enable-decoder=pcm_s24le \
--enable-encoder=pcm_f32le --enable-decoder=pcm_f32le \
--enable-protocol=file

# --enable-encoder=mpeg1video --enable-decoder=mpeg1video \
# --enable-muxer=mpeg1system --enable-demuxer=mpegps \
# --enable-encoder=h261 --enable-decoder=h261 \

# build all the FFmpeg librairies
make

# build the FFmpeg unified library from all the object files
gcc -shared -arch $1 -o FFmpeg.dylib libavcodec/*.o libavformat/*.o libavutil/*.o libswscale/*.o
