# This script will build the Windows x64 version of the unified FFmpeg.dll

# Note that this script is intended to use a cross compiler to build the x64
# binaries. You might have to change the references to "x86_64-w64-mingw32-gcc"
# to the correct GCC version that could build x64 binaries on your system.

rm FFmpeg.dll
make distclean
../ffmpeg/configure --enable-cross-compile --cc=/c/mingw64/bin/x86_64-w64-mingw32-gcc --strip=/c/mingw64/bin/x86_64-w64-mingw32-strip --target-os=mingw32 --arch=x86_64 \
--enable-version3 --enable-shared --disable-static --enable-memalign-hack --disable-debug --disable-avdevice --disable-network --disable-everything \
--enable-small --disable-swscale-alpha --disable-asm --disable-aandct --disable-dct --disable-fft --disable-lpc --disable-mdct --disable-rdft --disable-vaapi --disable-vdpau --disable-dxva2 \
--enable-muxer=avi --enable-muxer=matroska --enable-demuxer=avi --enable-demuxer=matroska --enable-muxer=dv --enable-demuxer=dv \
--enable-encoder=ffv1 --enable-decoder=ffv1 --enable-encoder=huffyuv --enable-decoder=huffyuv \
--enable-encoder=dvvideo --enable-decoder=dvvideo \
--enable-encoder=mjpeg --enable-decoder=mjpeg \
--enable-encoder=pcm_s16le --enable-decoder=pcm_s16le \
--enable-encoder=pcm_s24le --enable-decoder=pcm_s24le \
--enable-encoder=pcm_f32le --enable-decoder=pcm_f32le \
--enable-protocol=file

# --enable-encoder=mpeg1video --enable-decoder=mpeg1video \
# --enable-muxer=mpeg1system --enable-demuxer=mpegps \
# --enable-encoder=h261 --enable-decoder=h261 \

# build all the FFmpeg librairies
make

# build the FFmpeg unified library from all the object files
/c/mingw64/bin/x86_64-w64-mingw32-gcc -shared -o FFmpeg.dll libavcodec/*.o libavformat/*.o libavutil/*.o libswscale/*.o
